# @TODO Place in OKD
#include:
#  - template: Container-Scanning.gitlab-ci.yml
#container_scanning:
#  variables:
#    CI_APPLICATION_REPOSITORY: "$CI_REGISTRY_IMAGE"
#  rules:
#  - if: $CONTAINER_SCANNING_DISABLED
#    when: never
#  - if: ( $CI_COMMIT_REF_SLUG =~ /^master$/ || $CI_COMMIT_TAG =~ /^(0|[1-9]\d*)\.(0|[1-9]\d*)\.(0|[1-9]\d*)(?:-((?:0|[1-9]\d*|\d*[a-zA-Z-][0-9a-zA-Z-]*)(?:\.(?:0|[1-9]\d*|\d*[a-zA-Z-][0-9a-zA-Z-]*))*))?(?:\+([0-9a-zA-Z-]+(?:\.[0-9a-zA-Z-]+)*))?$/ ) &&
#        $GITLAB_FEATURES =~ /\bcontainer_scanning\b/

tag:version:
  extends: .docker_tag_version

tag:branch:
  extends: .docker_tag_branch

tag:latest:
  extends: .docker_tag_latest
